/*
 * Copyright (c) 2016-2020 Marco Cawthorne <marco@icculus.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* weapon Indices for the weapon table */
enum
{
	WEAPON_NONE,
	WEAPON_CROWBAR,
	WEAPON_HAMMER,
	WEAPON_GRAPPLE,
	WEAPON_SHOTGUN,
	WEAPON_ICESHOTGUN,
	WEAPON_SUPERSHOTGUN,
	WEAPON_ICESUPERSHOTGUN,
	WEAPON_NAILGUN,
	WEAPON_LAVANAILGUN,
	WEAPON_SUPERNAILGUN,
	WEAPON_LAVASUPERNAILGUN,
	WEAPON_GRENADELAUNCHER,
	WEAPON_MULTIGREN,
	WEAPON_PROXMINE,
	WEAPON_ROCKETLAUNCHER,
	WEAPON_MULTIROCKET,
	WEAPON_LIGHTNING,
	WEAPON_PLASMACANNON,
	WEAPON_PLASMARIFLE
};

#define MAX_A_SHELLS 100
#define MAX_A_NAILS 200
#define MAX_A_ROCKETS 100
#define MAX_A_CELLS 100

/* check if we have the ThreeWave data installed */
bool
FreeDMC_CanThreeWave(void)
{
	if not (whichpack("models/v_grapple.mdl"))
		return false;

	return true;
}

/* check if we have the FreeDMC extras pack installed */
bool
FreeDMC_CanExtra(void)
{
	if not (whichpack("models/v_ishot.mdl"))
		return false;

	return true;
}